Bug 50734 - internet-druid uses the provider name as a "connection name"
Summary: internet-druid uses the provider name as a "connection name"
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-02 18:29 UTC by Panic
Modified: 2008-05-01 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-02 21:46:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Panic 2001-08-02 18:29:34 UTC
Description of Problem:

Internet-Druid's Modem configuration sequence uses the "Provider Name" as
the connection name.  This is really confusing.  Further, it seems to want
you to choose a provider from the list, which only has German ISPs (bug#
50669).  This is also inconsistent with the neat Add->Modem tool, which
allows to choose the "Device Name" (bug #50672) which is really the
connection name (apparently).  If internet-druid is used to attempt to
create two entries with the same provider name, the first entry is overwritten.

How Reproducible:

Always

Steps to Reproduce:
1. run through internet-druid
2. Try to figure out where the connection name is, or what exactly a
"Provider Name" does.
3. Try to use internet-druid to create two entries with the same Provider Name.

Actual Results:

Confusion about what the "Provider Name" box does and what it is for (you
can't leave it blank).  Confusion about a way to name the configuration.

Expected Results:

A "Connection Name" box, and a "Providers who require special
configuration" descriptor of some type on the "Provider Name" listing. 
Something that is straightforward.  Also, no configuration in neat should
be overwritten by internet-druid.

Additional Information:

Comment 1 Glen Foster 2001-08-02 21:45:59 UTC
This defect is considered SHOULD-FIX for Fairfax.

Comment 2 Ngo Than 2001-08-14 12:14:52 UTC
It's fixed in CVS.



Note You need to log in before you can comment on or make changes to this bug.